with
    initial_httpget as (
  select *
from raw_download
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_httpget as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_httpget
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_httpget_1 as (
  select timezone_adjusted_httpget.*
from timezone_adjusted_httpget
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_httpget_2 as (
  select prefilters_httpget_1.*
from prefilters_httpget_1
inner join units_to_include using (unit_id)
),
prefilters_httpget_3 as (
  select *
from prefilters_httpget_2
where target like 'sp%-us.samknows.com' or target like 'sk-1.uhnet.net'
),
prefilters_httpget_4 as (
  select *
from prefilters_httpget_3
where threads = 1 and ip_version = '4'
),
selected_and_transformed_httpget as (
  select unit_id,
  dtime,
  ddate,
  target,
  address,
  fetch_time,
  bytes_total,
  bytes_sec,
  bytes_sec_interval,
  warmup_time,
  warmup_bytes,
  sequence,
  threads,
  successes,
  failures
from prefilters_httpget_4
),
filters_httpget as (
  select *
from selected_and_transformed_httpget
where (successes = 1) and (bytes_sec > 0) and (bytes_sec_interval > 0)
)

    select * from filters_httpget