with
    initial_httppostmt as (
  select *
from raw_upload
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_httppostmt as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_httppostmt
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_httppostmt_1 as (
  select timezone_adjusted_httppostmt.*
from timezone_adjusted_httppostmt
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_httppostmt_2 as (
  select prefilters_httppostmt_1.*
from prefilters_httppostmt_1
inner join units_to_include using (unit_id)
),
prefilters_httppostmt_3 as (
  select *
from prefilters_httppostmt_2
where target like 'sp%-us.samknows.com' or target like 'sk-1.uhnet.net'
),
prefilters_httppostmt_4 as (
  select *
from prefilters_httppostmt_3
where threads > 1 and ip_version = '4'
),
selected_and_transformed_httppostmt as (
  select unit_id,
  dtime,
  ddate,
  target,
  address,
  fetch_time,
  bytes_total,
  bytes_sec,
  bytes_sec_interval,
  warmup_time,
  warmup_bytes,
  sequence,
  threads,
  successes,
  failures
from prefilters_httppostmt_4
),
filters_httppostmt as (
  select *
from selected_and_transformed_httppostmt
where (successes = 1) and (bytes_sec > 0) and (bytes_sec_interval > 0)
)

    select * from filters_httppostmt