with
    initial_ping as (
  select *
from raw_ping
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_ping as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_ping
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_ping_1 as (
  select timezone_adjusted_ping.*
from timezone_adjusted_ping
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_ping_2 as (
  select prefilters_ping_1.*
from prefilters_ping_1
inner join units_to_include using (unit_id)
),
prefilters_ping_3 as (
  select *
from prefilters_ping_2
where ip_version = '4'
),
selected_and_transformed_ping as (
  select unit_id,
  dtime,
  ddate,
  target,
  rtt_avg,
  rtt_min,
  rtt_max,
  rtt_std,
  successes,
  failures
from prefilters_ping_3
),
filters_ping as (
  select *
from selected_and_transformed_ping
where TRUE
)

    select * from filters_ping