with
    initial_ping6 as (
  select *
from raw_ping
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_ping6 as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_ping6
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_ping6_1 as (
  select timezone_adjusted_ping6.*
from timezone_adjusted_ping6
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_ping6_2 as (
  select prefilters_ping6_1.*
from prefilters_ping6_1
inner join units_to_include using (unit_id)
),
prefilters_ping6_3 as (
  select *
from prefilters_ping6_2
where ip_version = '6'
),
selected_and_transformed_ping6 as (
  select unit_id,
  dtime,
  ddate,
  target,
  rtt_avg,
  rtt_min,
  rtt_max,
  rtt_std,
  successes,
  failures
from prefilters_ping6_3
),
filters_ping6 as (
  select *
from selected_and_transformed_ping6
where TRUE
)

    select * from filters_ping6