with
    initial_udpcloss as (
  select *
from raw_contiguous_loss
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_udpcloss as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_udpcloss
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_udpcloss_1 as (
  select timezone_adjusted_udpcloss.*
from timezone_adjusted_udpcloss
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_udpcloss_2 as (
  select prefilters_udpcloss_1.*
from prefilters_udpcloss_1
inner join units_to_include using (unit_id)
),
prefilters_udpcloss_3 as (
  select *
from prefilters_udpcloss_2
where TRUE
),
selected_and_transformed_udpcloss as (
  select unit_id,
  dtime,
  ddate,
  duration,
  target,
  address,
  packets
from prefilters_udpcloss_3
),
filters_udpcloss as (
  select *
from selected_and_transformed_udpcloss
where TRUE
)

    select * from filters_udpcloss