with
    initial_udpjitter as (
  select *
from raw_jitter
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_udpjitter as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_udpjitter
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_udpjitter_1 as (
  select timezone_adjusted_udpjitter.*
from timezone_adjusted_udpjitter
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_udpjitter_2 as (
  select prefilters_udpjitter_1.*
from prefilters_udpjitter_1
inner join units_to_include using (unit_id)
),
prefilters_udpjitter_3 as (
  select *
from prefilters_udpjitter_2
where target like 'sp%-us.samknows.com' or target like 'sk-1.uhnet.net'
),
selected_and_transformed_udpjitter as (
  select unit_id,
  dtime,
  ddate,
  target,
  packet_size,
  stream_rate,
  duration,
  packets_up_sent,
  packets_down_sent,
  packets_up_recv,
  packets_down_recv,
  jitter_up,
  jitter_down,
  latency,
  successes,
  failures
from prefilters_udpjitter_3
),
filters_udpjitter as (
  select *
from selected_and_transformed_udpjitter
where (successes > 0) and (jitter_up > 0) and (jitter_down > 0)
)

    select * from filters_udpjitter