with
    initial_udplatency as (
  select *
from raw_latency
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_udplatency as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_udplatency
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_udplatency_1 as (
  select timezone_adjusted_udplatency.*
from timezone_adjusted_udplatency
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_udplatency_2 as (
  select prefilters_udplatency_1.*
from prefilters_udplatency_1
inner join units_to_include using (unit_id)
),
prefilters_udplatency_3 as (
  select *
from prefilters_udplatency_2
where target like 'sp%-us.samknows.com' or target like 'sk-1.uhnet.net'
),
prefilters_udplatency_4 as (
  select *
from prefilters_udplatency_3
where ip_version = '4'
),
selected_and_transformed_udplatency as (
  select unit_id,
  dtime,
  ddate,
  target,
  rtt_avg,
  rtt_min,
  rtt_max,
  rtt_std,
  successes,
  failures
from prefilters_udplatency_4
),
filters_udplatency as (
  select *
from selected_and_transformed_udplatency
where (successes >= 50) and (successes >= failures) and (failures / (successes + failures) <= 0.1) and (rtt_min >= 50) and (rtt_max - rtt_min <= 300000) and (rtt_avg > 0)
)

    select * from filters_udplatency