with
    initial_webget as (
  select *
from raw_webget
where ddate between date('2021-09-01') and date('2021-10-31')
),
timezone_adjusted_webget as (
  select
  datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone) as dtime,
  date(datetime(timestamp(dtime_utc), validated_metadata_unit_timezones.timezone)) as ddate,
  * except (dtime, ddate, dtime_utc, timezone)
from initial_webget
left join validated_metadata_unit_timezones using (unit_id)
where ddate between date('2021-09-01') and date('2021-10-31')
),
prefilters_webget_1 as (
  select timezone_adjusted_webget.*
from timezone_adjusted_webget
inner join unit_days_to_include using (unit_id, ddate)
),
prefilters_webget_2 as (
  select prefilters_webget_1.*
from prefilters_webget_1
inner join units_to_include using (unit_id)
),
prefilters_webget_3 as (
  select *
from prefilters_webget_2
where TRUE
),
selected_and_transformed_webget as (
  select unit_id,
  dtime,
  ddate,
  target,
  address,
  fetch_time,
  bytes_total,
  bytes_sec,
  objects,
  threads,
  requests,
  connections,
  reused_connections,
  lookups,
  request_total_time,
  request_min_time,
  request_avg_time,
  request_max_time,
  ttfb_total,
  ttfb_min,
  ttfb_avg,
  ttfb_max,
  lookup_total_time,
  lookup_min_time,
  lookup_avg_time,
  lookup_max_time,
  successes,
  failures
from prefilters_webget_3
),
filters_webget as (
  select *
from selected_and_transformed_webget
where (successes > 0) and (fetch_time > 0) and (fetch_time >= 50000) and (fetch_time <= 30000000)
)

    select * from filters_webget